cURL
curl --request POST \
--url https://{portalApiUrl}/product_access/edit/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"product_access_certificate": "1"
}
'import requests
url = "https://{portalApiUrl}/product_access/edit/{id}"
payload = { "product_access_certificate": "1" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_access_certificate: '1'})
};
fetch('https://{portalApiUrl}/product_access/edit/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"result": {
"product_access_id": 123,
"product_access_product_id": 123,
"product_access_user_id": 123,
"product_access_certificate": "<string>",
"product_access_created_date": "2023-11-07T05:31:56Z",
"product_access_updated_date": "2023-11-07T05:31:56Z",
"product_access_expired_date": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>"
}Product Access
Edit product_access
Edit a product_access by ID
POST
/
product_access
/
edit
/
{id}
cURL
Authorizations
Authentication token obtained from POST /token
Path Parameters
ID of product_access to edit
Body
application/json
ID of the product this access grants
Status of the access record
Available options:
active, inactive, expired Whether a certificate was issued (1 = yes)
Date the access expires
⌘I